//
//  PSFPConverter.h
//  PSFPlay
//
//  Created by tmkk on Sat Jul 24 2004.
//  Copyright (c) 2004 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface PSFPConverter : NSObject {
	id delegate;
	NSArray *convertFiles;
	int currentIndex;
	NSTask *task;
	BOOL allowDuplicatedName;
	NSString *outputDirectory;
	BOOL isConverting;
}
- (void)setConvertFiles:(NSArray *)files;
- (void)setOutputDirectory:(NSString *)dir;
- (void)convert;
- (void)stopProcess:(id)stopTask;
- (NSString *)currentFile;
- (void)stop;
- (void)setAllowDuplicatedName: (BOOL)flag;
@end
